Package it.ernytech.tdlib

## Class TdApi.CreateTemporaryPassword

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CreateTemporaryPassword

Enclosing class:
  TdApi

    public static class TdApi.CreateTemporaryPassword
    extends TdApi.Function

Creates a new temporary password for processing payments.

Returns `TemporaryPasswordState`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `password` Persistent user password.
`int` `validFor` Time during which the temporary password will be valid, in seconds; should be between 60 and 86400.

### Constructor Summary

Constructors
`CreateTemporaryPassword()` Default constructor.
`CreateTemporaryPassword​(java.lang.String password, int validFor)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### password

    public java.lang.String password

Persistent user password.

#### validFor

    public int validFor

Time during which the temporary password will be valid, in seconds; should be between 60 and 86400.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CreateTemporaryPassword

    public CreateTemporaryPassword()

Default constructor.

#### CreateTemporaryPassword

    public CreateTemporaryPassword​(java.lang.String password,
                                   int validFor)

Constructor for initialization of all fields.

Parameters:
  `password` - Persistent user password.
  `validFor` - Time during which the temporary password will be valid, in seconds; should be between 60 and 86400.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR